Bug 6211 - The ypserver shipped with RH6.1 is broken with repsect to netgroups
The ypserver shipped with RH6.1 is broken with repsect to netgroups
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: ypserv (Show other bugs)
6.1
All Linux
high Severity high
: ---
: ---
Assigned To: Cristian Gafton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-21 19:10 EDT by neumann
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-10-29 14:07:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description neumann 1999-10-21 19:10:27 EDT
The ypserver shipped with RH6.1 can't distribute netgroups
and we have additionally observed major stability problems.

When asking the ypserver for the netgroup by saying 'ypcat
netgroup' from a client, a new ypserv process is spawned
that will eats cpu cycles and will never die. We doubt that
this is due to a misconfiguration since we have had NIS up
and running with RH 5.2 with more or less the same
configuration files before.

We have then recompiled ypserv from the SPRM and with a
changed ypserv.spec file all seems to work well now. It
looks like the shipped ypserv RPM was compiled with options
that are marked as deprecated in the ypserv source. I have
included our ypserv.spec for your convenience below...

Summary: The NIS (Network Information Service) server.
Url: http://www-vt.uni-paderborn.de/~kukuk/linux/nis.html
Name: ypserv
Version: 1.3.7
Release: 4
Copyright: GNU
Group: System Environment/Daemons
Source0:
ftp://ftp.kernel.org/pub/linux/utils/net/NIS/ypserv-%{version}.tar.gz
Source1: ypserv-ypserv.init
Source2: ypserv-yppasswdd.init
Requires: portmap
Prereq: /sbin/chkconfig
Obsoletes: yppasswd
Buildroot: /var/tmp/%{name}-root/

%description
The Network Information Service (NIS) is a system which
provides network
information (login names, passwords, home directories, group
information)
to all of the machines on a network.  NIS can enable users
to login on
any machine on the network, as long as the machine has the
NIS client
programs running and the user's password is recorded in the
NIS passwd
database.  NIS was formerly known as Sun Yellow Pages (YP).

This package provides the NIS server, which will need to be
running on
your network.  NIS clients do not need to be running the
server.

Install ypserv if you need an NIS server for your network.
You'll also
need to install the yp-tools and ypbind packages onto any
NIS client
machines.

%prep
%setup -q

%build
cp etc/README etc/README.etc

#CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
#       --enable-tcp-wrapper --enable-fqdn --enable-yppasswd

%configure --enable-checkroot --enable-yppasswd
--enable-ypmake
make
%install
rm -rf $RPM_BUILD_ROOT
make install ROOT=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m644 etc/ypserv.conf $RPM_BUILD_ROOT/etc
install -m755 $RPM_SOURCE_DIR/ypserv-ypserv.init
$RPM_BUILD_ROOT/etc/rc.d/init.d/ypserv
install -m755 $RPM_SOURCE_DIR/ypserv-yppasswdd.init
$RPM_BUILD_ROOT/etc/rc.d/init.d/yppasswdd

mkdir -p $RPM_BUILD_ROOT/sbin
mv $RPM_BUILD_ROOT/usr/sbin/ypserv
$RPM_BUILD_ROOT/sbin/ypserv

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ypserv
/sbin/chkconfig --add yppasswdd

%triggerpostun -- ypserv <= ypserv-1.3.0-2
/sbin/chkconfig --add ypserv

%trigerpostun -- yppasswd
/sbin/chkconfig --add yppasswdd

%postun
if [ $1 = 0 ]; then
        /sbin/chkconfig --del ypserv
        /sbin/chkconfig --del yppasswdd
fi

%files
%defattr(-,root,root)
%doc README README.secure INSTALL ChangeLog TODO
%doc etc/ypserv.conf etc/securenets etc/README.etc
%config /etc/ypserv.conf
%config /var/yp/*
%dir /var/yp
%config /etc/rc.d/init.d/*
/usr/lib/yp
/usr/sbin/*
/sbin/*
/usr/man/man5/*
/usr/man/man8/*
/usr/include/*/*

%changelog
* Tue Oct 19 1999 Janos
- compiled with different options

....
Comment 1 Bill Nottingham 1999-10-29 14:07:59 EDT
This should be fixed in the errata release. Please re-open if
it's not.

Note You need to log in before you can comment on or make changes to this bug.